POST
/{orgId}/admin/{itemId}/upgradeUpgrade an outdated Workflow Manager item. Workflow item upgrades can only be performed by the item owner with the Workflow Manager Advanced Administrator privilege or the Portal Admin Update Content privilege.
Body:
| Parameter | Description | Data Type |
|---|---|---|
| async | Optional. It is set to false by default. If set to true, the workflow item is upgraded asynchronously and returns itemId and status. The item upgrade status can be checked on the getWorkflowItemCreationStatus endpoint. This parameter was introduced at ArcGIS Enterprise 12.0. | Boolean |
Query parameters
| Name | Type | Required |
|---|---|---|
token | string¦null |
Body parameters
Supported content types: application/json
Type: CreateWorkflowItemParameters
| Name | Type | Required |
|---|---|---|
async | boolean |
Path parameters
| Name | Type | Required |
|---|---|---|
org | string | |
item | string |
Response status
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The item upgrade status of the item being upgraded | CreateItemResponse |
| 400 | Bad Request | error | WorkflowJsonExceptionDTO |
Examples
Request
# You can also use wget
curl -X POST '/{orgId}/admin/{itemId}/upgrade' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
--data '{"async":true}'Response
{
"success": true,
"itemId": "string",
"status": "Executing",
"error": {
"message": "string",
"name": "UnableToDetermineHostingServer",
"details": [
"string"
]
}
}